package org.etsi.ttcn.codec.its.iicp;

import java.util.HashMap;
import java.util.Map;

public enum IicpPduId {
	IicpReq (0xa0),
	IicpReq_msgOut (0xa1),
    
    /* Reserved */
    reserved(0xFF);
    
    private byte value;
    private static final Map<String, Byte> IicpPduIds = new HashMap<String, Byte>();
    private static final Map<Byte, String> IicpPduNames = new HashMap<Byte, String>();
    
    private IicpPduId(int value) {
        this.value = (byte)value;
    }
    
    public static Byte value(String name) {
        return IicpPduIds.get(name);
    }
    
    public static String name(Byte value) {
        return IicpPduNames.get(value);
    }
    
    static {
        for (IicpPduId item : IicpPduId.values()) {
            IicpPduIds.put(item.name(), new Byte(item.value));
            IicpPduNames.put(new Byte(item.value), item.name());
        }
    }
}
